
%global meadversion 2.9.18
%global namedversion 2.9.18.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}wildfly-web-console-eap}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.9.18.Final-redhat-1

Name:           %{?scl_prefix}wildfly-web-console-eap
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        HAL Release Stream
Group:          Development/Java

%if %with mead
Source100: release-stream-2.9.18.Final-redhat-1-scm-sources.zip
Source102: release-stream-2.9.18.Final-redhat-1-resources.jar
Source103: release-stream-2.9.18.Final-redhat-1.war
Source104: release-stream-2.9.18.Final-redhat-1.pom
Source105: release-stream-2.9.18.Final-redhat-1-sources.jar
Source106: release-stream-2.9.18.Final-redhat-1-project-sources.tar.gz
Source107: release-stream-2.9.18.Final-redhat-1-overlay.zip
%endif

License:        LGPLv2+
URL:            https://github.com/hal/release-stream
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
HAL release stream master. Implements the assembly.

%prep
%setup -q -n hal-release-stream -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/release-stream-%{namedversion}-resources.jar %{buildroot}%{_javadir}/release-stream-%{namedversion}-resources.jar
%{__cp} -p %{_sourcedir}/release-stream-%{namedversion}.war %{buildroot}%{_javadir}/release-stream-%{namedversion}.war
%{__cp} -p %{_sourcedir}/release-stream-%{namedversion}-sources.jar %{buildroot}%{_javadir}/release-stream-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/release-stream-%{namedversion}.war
%{_javadir}/release-stream.war
%{_javadir}/release-stream-%{namedversion}-resources.jar
%{_javadir}/release-stream-resources.jar
%{_javadir}/release-stream-%{namedversion}-sources.jar
%{_javadir}/release-stream-sources.jar

%changelog
* Tue Jul 10 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.9.18-1.Final_redhat_1.1
- upgrade to 2.9.18.Final-redhat-1

* Wed May 16 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.9.17-1.Final_redhat_1.1
- upgrade to 2.9.17.Final-redhat-1

* Wed Mar 21 2018 Aurel Pintea <apintea@redhat.com> - 2.9.16-2.Final_redhat_1.2
- upgrade to 2.9.16.Final-redhat-1

* Tue Mar 20 2018 Aurel Pintea <apintea@redhat.com> - 2.9.16-1.Final_redhat_1.1
- upgrade to 2.9.16.Final-redhat-1

* Thu Nov 09 2017 Permaine Cheung <pcheung@redhat.com> - 2.9.15-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Fri Oct 13 2017 Petr Sakar <psakar@redhat.com> - 2.9.15-1.Final_redhat_1.1
- upgrade to 2.9.15.Final-redhat-1

* Thu Sep 14 2017 Petr Sakar <psakar@redhat.com> - 2.9.14-1.Final_redhat_1.1
- upgrade to 2.9.14.Final-redhat-1

* Wed Aug 23 2017 Petr Sakar <psakar@redhat.com> - 2.9.13-1.Final_redhat_1.1
- upgrade to 2.9.13.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 2.9.12-1.Final_redhat_1.1
- upgrade to 2.9.12.Final-redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 2.9.11-1.Final_redhat_1.1
- upgrade to 2.9.11.Final-redhat-1

* Mon Jun 05 2017 Petr Sakar <psakar@redhat.com> - 2.9.10-1.Final_redhat_1.1
- upgrade to 2.9.10.Final-redhat-1

* Mon May 22 2017 Petr Sakar <psakar@redhat.com> - 2.9.9-1.Final_redhat_1.1
- upgrade to 2.9.9.Final-redhat-1

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 2.9.8-1.Final_redhat_1.1
- update to version 2.9.8.Final

* Tue Apr 25 2017 Martin Minar <mminar@redhat.com> - 2.9.7-1.Final_redhat_1.1
- update version to 2.9.7.Final

* Sun Apr 02 2017 Petr Sakar <psakar@redhat.com> - 2.9.6-1.Final_redhat_1.1
- upgrade to 2.9.6.Final-redhat-1

* Tue Mar 14 2017 Petr Sakar <psakar@redhat.com> - 2.9.4-1.Final_redhat_1.1
- upgrade to 2.9.4.Final-redhat-1

* Mon Feb 27 2017 Petr Sakar <psakar@redhat.com> - 2.9.3-1.Final_redhat_1.1
- upgrade to 2.9.3.Final-redhat-1

* Fri Feb 10 2017 Petr Sakar <psakar@redhat.com> - 2.9.2-1.Final_redhat_1.1
- upgrade to 2.9.2.Final-redhat-1

* Mon Jan 23 2017 Petr Sakar <psakar@redhat.com> - 2.9.1-1.Final_redhat_1.1
- upgrade to 2.9.1.Final-redhat-1

* Thu Jan 12 2017 David Walluck <dwalluck@redhat.com> - 2.9.0-2.Final_redhat_1.1
- fix RPM build

* Fri Dec 16 2016 Petr Sakar <psakar@redhat.com> - 2.9.0-2.Final_redhat_1.1
- upgrade to 2.9.0.Final-redhat-1

* Tue Nov 29 2016 Petr Sakar <psakar@redhat.com> - 2.9.0-2.Alpha6_redhat_1.1
- upgrade to 2.9.0.Alpha6-redhat-1

* Mon Oct 24 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.0-1.Alpha4_redhat_1.1
- Upgrade to 2.9.0.Alpha4

* Wed Jul 27 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.27-1.Final_redhat_1.1
- Upgrade to 2.8.27.Final

* Thu Jun 23 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.26-1.Final_redhat_1.1
- Upgrade to 2.8.26.Final

* Thu May 19 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.25-1.Final_redhat_1.1
- Upgrade to 2.8.25.Final

* Wed Apr 06 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.24-1.Final_redhat_1.1
- Upgrade to 2.8.24.Final

* Tue Mar 15 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.23-1.Final_redhat_1.1
- Upgrade to 2.8.23.Final

* Mon Feb 22 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.22-1.Final_redhat_1.1
- Upgrade to 2.8.22.Final

* Thu Jan 28 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.19-1.Final_redhat_1.1
- Upgrade to 2.8.19.Final

* Tue Jan 05 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.17-1.Final_redhat_1.1
- Upgrade to 2.8.17.Final

* Wed Nov 25 2015 Paul Gier <pgier@redhat.com> - 2.8.15-1.Final_redhat_1.1
- 2.8.15.Final rebuild

* Mon Nov 09 2015 Petr Sakar <psakar@redhat.com> - 2.8.14-1.Final_redhat_1.1
- Upgrade to 2.8.14.Final-redhat-1

* Mon Oct 26 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.13-1.Final_redhat_1.1
- Upgrade to 2.8.13.Final

* Tue Oct 13 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.12-1.Final_redhat_1.1
- Upgrade to 2.8.12.Final

* Fri Sep 25 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.11-1.Final_redhat_1.1
- Upgrade 2.8.11.Final

* Thu Sep 17 2015 Paul Gier <pgier@redhat.com> - 2.8.10-1.Final_redhat_1.1
- Upgrade to 2.8.10

* Tue Aug 11 2015 Fernando Nasser <fnasser@redhat.com> - 2.8.5-2.redhat_2.1
- Remove requires on build-time dependency

* Mon Aug 10 2015 Fernando Nasser <fnasser@redhat.com> - 2.8.5-1.redhat_2.1
- Renamed from jboss-hal

* Mon Aug 10 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.5-1.redhat_1.1
- Upgrade to 2.8.5

* Mon Jul 27 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.3-1.redhat_1.1
- Upgrade to 2.8.3

* Mon Jul 13 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.2-1.redhat_1.1
- Upgrade to 2.8.2

* Mon Jun 29 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.0-1.redhat_1.1
- Upgrade to 2.8.0

* Mon Jun 15 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.0-1.Alpha0_redhat_1.1
- Upgrade to 2.8.0.Alpha0

* Tue May 05 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.6.9-1.Final_redhat_1.1
- Build 2.6.9.Final for EAP 7.0.0.DR1

* Thu Feb 19 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-1.Final_redhat_1.1
- Upgrade to 2.5.5.Final

* Mon Jan 26 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.3-1.Final_redhat_1.1
- Upgrade to 2.5.3.Final

* Wed Jan 07 2015 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.2-1.Final_redhat_1.1
- Upgrade to 2.5.2.Final

* Mon Dec 08 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.1-1.redhat_1.1
- Upgrade to 2.5.1

* Tue Dec 02 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.0-1.Final_redhat_1.1
- Upgrade to 2.5.0.Final

* Sun Nov 23 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.4.8-1.Final_redhat_1.1
- Upgrade to 2.4.8.Final

* Wed Aug 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.10-1.Final_redhat_1.1
- Upgrade to 2.2.10.Final

* Tue Jun 03 2014 Paul Gier <pgier@redhat.com> - 2.2.8-1.Final_redhat_1.1
- Upgrade to 2.2.8.Final

* Thu May 29 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.7-1.Final_redhat_1.1
- Upgrade to 2.2.7.Final

* Wed May 14 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.4-1.Final_redhat_1.1
- Upgrade to 2.2.4.Final

* Tue Apr 08 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.2-1.Final_redhat_1.1
- Upgrade to 2.2.2.Final

* Mon Mar 24 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.1-1.Final_redhat_1.1
- Upgrade to 2.2.1.Final

* Thu Mar 20 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.0-4.Final_redhat_1.1
- Upgrade to 2.2.0.Final

* Tue Mar 11 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.0-3.Beta4_redhat_1.1
- Upgrade to 2.2.0.Beta4

* Wed Mar 05 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.2.0-2.Beta3_redhat_1.1
- Build wrappers

* Wed Mar 05 2014 Vladimir Dosoudil <dosoudil@redhat.com> - 2.2.0-2.Beta3_redhat_1.1
- Upgrade to 2.2.0.Beta3

* Tue Mar 04 2014 Paul Gier <pgier@redhat.com> - 2.2.0-1.Beta2_redhat_1.1
- Upgrade to 2.2.0.Beta2

* Mon Nov 04 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.0.6-1.Final_redhat_1
- Upgrade to 2.0.6.Final

* Wed Oct 23 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.0.5-1.Final_redhat_1
- Upgrade to 2.0.5.Final

* Thu Oct 17 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.0.4-1.Final_redhat_1
- Upgrade to 2.0.4.Final

* Mon Oct 07 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.0.3-1.Final_redhat_1
- Upgrade to 2.0.3.Final

* Wed Oct 02 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.0.2-1.Final_redhat_1
- Upgrade to 2.0.2.Final

* Mon Sep 23 2013 Paul Gier <pgier@redhat.com> - 2.0.0-1
- Upgrade to 2.0.0.Final

* Thu Aug 08 2013 Yong Yang <yyang@redhat.com> - 1.5.4-5
- Fix license

* Fri Jul 19 2013 David Walluck <dwalluck@redhat.com> 0:1.5.4-4
- fix bad file perms (should be root:root, not jboss:jboss)
- fix bad file name for resources jar (classifier in wrong place)
- fix maven support (add scripts, add (B)Rs, fix pom name, etc.)
- fix License (use short form)
- fix missing clean command
- add missing URL tag

* Fri Jul 19 2013 Yong Yang <yyang@redhat.com> - 1.5.4-3
- Add resources.jar

* Wed Jul 17 2013 Fernando Nasser <fnasser@redhat.com> - 1.5.4-2
- Use eap profile for proper product branding

* Wed Jul 17 2013 Yong Yang <yyang@redhat.com> - 1.5.4-1.1.Final_rehdat_1
- Add noarch

* Wed Jul 17 2013 Yong Yang <yyang@redhat.com> - 1.5.4-1.Final_rehdat_1
- redhat_1 build

* Tue Jul 16 2013 Fernando Nasser <fnasser@redhat.com> - 1.5.4-1
- Initial build
